%global momorel 3
%{!?tcp_wrappers:%define tcp_wrappers 1}

# Arches on which we need to prevent arch conflicts on net-snmp-config.h
%define multilib_arches %{ix86} ia64 ppc ppc64 s390 s390x x86_64
%define major_ver 5.4.1.1

Summary: A collection of SNMP protocol tools and libraries.
Name: net-snmp
Version: %{major_ver}
Release: %{momorel}m%{?dist}

License: BSD
Group: System Environment/Daemons
URL: http://net-snmp.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/net-snmp/net-snmp-%{major_ver}.tar.gz
NoSource: 0
Source1: net-snmp.momonga.conf
Source2: net-snmpd.init
Source3: net-snmptrapd.init
Source4: net-snmpd.logrotate
Source5: ucd5820stat
Source6: net-snmp-config.h
Source7: net-snmp-config
Patch1: ucd-snmp-4.2.4.pre3-mnttab.patch
Patch2: net-snmp-5.0.8-ipv6-sock-close.patch
Patch3: net-snmp-5.0.8-readonly.patch
Patch4: net-snmp-5.4.1-pie.patch
Patch5: net-snmp-5.4-64bit.patch
Patch6: net-snmp-5.1.2-dir-fix.patch
Patch7: net-snmp-5.2.1-file_offset.patch
Patch8: net-snmp-5.3.1-multilib.patch
Patch9: net-snmp-5.4.1-config_libdir.patch
##Patch10: net-snmp-5.4.1-ethtool-config.patch
Patch11: net-snmp-5.4.1-strange_libpath.patch
Patch12: net-snmp-5.4.1-hostname.patch
Patch13: net-snmp-5.4.1-shared-ip.patch
Patch14: net-snmp-5.4-exec-crash.patch
Patch15: net-snmp-5.1.2-snmpconf-selinux.patch
Patch16: net-snmp-5.4.1-sensors3.patch
Patch17: net-snmp-5.4.1-xen-crash.patch
#Patch18: net-snmp-5.4.1-hmac-check.patch
Patch19: net-snmp-5.4.1-perl-snprintf.patch
Patch20: net-snmp-5.4.1-perl-set.patch
Patch21: net-snmp-5.4.1-long-iface-names.patch
Patch22: net-snmp-5.4.1-getbulk-crash.patch

Prereq: chkconfig, coreutils, initscripts
Obsoletes: ucd-snmp
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: openssl-devel, bzip2-devel, beecrypt-devel, elfutils-devel
BuildPrereq: libselinux-devel, elfutils-libelf-devel
%ifarch %{ix86} x86_64
BuildRequires: lm_sensors-devel >= 3.0.2
%endif
%if %{tcp_wrappers}
BuildPrereq: tcp_wrappers-devel
%endif
BuildPrereq: perl, coreutils, grep, sed, findutils
BuildPrereq: perl-ExtUtils-Embed

#%define __libtoolize /bin/true
%{expand: %%define _includedir	%{_includedir}/%{name}}

%description
SNMP (Simple Network Management Protocol) is a protocol used for
network management. The NET-SNMP project includes various SNMP tools:
an extensible agent, an SNMP library, tools for requesting or setting
information from SNMP agents, tools for generating and handling SNMP
traps, a version of the netstat command which uses SNMP, and a Tk/Perl
mib browser. This package contains the snmpd and snmptrapd daemons,
documentation, etc.

You will probably also want to install the net-snmp-utils package,
which contains NET-SNMP utilities.

Building option:
	--without tcp_wrappers : disable tcp_wrappers support

%package utils
Group: Applications/System
Summary: Network management utilities using SNMP, from the NET-SNMP project.
Requires: %{name} = %{version}
Obsoletes: ucd-snmp-utils

%description utils
The net-snmp-utils package contains various utilities for use with the
NET-SNMP network management project.

Install this package if you need utilities for managing your network
using the SNMP protocol. You will also need to install the net-snmp
package.

%package devel
Group: Development/Libraries
Summary: The development environment for the NET-SNMP project.
Requires: %{name} = %{version}
Obsoletes: ucd-snmp-devel
Requires: beecrypt-devel, elfutils-devel, rpm-devel, elfutils-libelf-devel

%description devel
The net-snmp-devel package contains the development libraries and
header files for use with the NET-SNMP project's network management
tools.

Install the net-snmp-devel package if you would like to develop
applications for use with the NET-SNMP project's network management
tools. You'll also need to have the net-snmp and net-snmp-utils
packages installed.

%package perl
Group: Development/Libraries
Summary: The perl NET-SNMP module and the mib2c tool.
Requires: %{name} = %{version}, perl >= 5
BuildRequires: perl >= 5

%description perl
The net-snmp-perl package contains the perl files to use SNMP from within
Perl.

Install the net-snmp-perl package, if you want to use mib2c or SNMP with perl.

%package libs
Group: Development/Libraries
Summary: The NET-SNMP runtime libraries.

%description libs
The net-snmp-libs package contains the runtime libraries for shared binaries
and applications.

%prep
%setup -q -n %{name}-%{major_ver}
%patch1 -p1 -b .mnttab
%patch2 -p1 -b .ipv6-sock-close
%patch3 -p1 -b .readonly

%ifnarch ia64
%patch4 -p1 -b .pie
%endif

%patch5  -p1 -b .64bit
%patch6 -p1 -b .dir-fix
%patch7 -p1 -b .file_offset
%patch8 -p1 -b .multilib
%patch9 -p1 -b .libdir
##%patch10 -p1 -b .ethtool
%patch11 -p1 -b .libpath
%patch12 -p1 -b .hostname
%patch13 -p1 -b .shared-ip
%patch14 -p1 -b .exec
%patch15 -p1 -b .selinux
%patch16 -p0 -b .sensors
%patch17 -p0 -b .xen-crash
#%%patch18 -p1 -b .hmac-check
%patch19 -p3 -b .perl-snprintf
%patch20 -p1 -b .perl-set
%patch21 -p2 -b .long-iface-names
%patch22 -p1 -b .getbulk-crash

# Do this patch with a perl hack...
perl -pi -e "s|'\\\$install_libdir'|'%{_libdir}'|" ltmain.sh

%build
%ifarch ia64 x86_64 s390x ppc64
export LDFLAGS="-L%{_libdir}"
%endif
export LIBDIR="%{_libdir}"

MIBS="host agentx smux \
         ucd-snmp/diskio tcp-mib udp-mib mibII/mta_sendmail \
         ip-mib/ipv4InterfaceTable ip-mib/ipv6InterfaceTable \
         ip-mib/ipAddressPrefixTable/ipAddressPrefixTable"
%ifarch %{ix86} x86_64
MIBS="$MIBS ucd-snmp/lmsensorsMib"
%endif

export NETSNMP_DONT_CHECK_VERSION=1
%configure \
    --enable-static --enable-shared			\
    --with-cflags="$RPM_OPT_FLAGS"			\
    --with-ldflags="$LDFLAGS -lcrypto -lsensors"		\
    --with-sys-location="Unknown"			\
    --with-logfile="/var/log/snmpd.log"			\
    --with-persistent-directory="/var/net-snmp"		\
    --with-mib-modules="$MIBS"				\
%if %{tcp_wrappers}
    --with-libwrap=%{_libdir}				\
%endif
    --sysconfdir=%{_sysconfdir}				\
    --enable-ipv6					\
    --enable-ucd-snmp-compatibility			\
    --with-openssl					\
    --with-pic						\
    --enable-embedded-perl				\
    --enable-mfd-rewrites				\
    --enable-local-smux					\
    --with-sys-contact="root@localhost" <<EOF

EOF

make

pushd perl
# Use just built libs for perl module building, not the system libs.
export NETSNMP_DONT_CHECK_VERSION=1
perl Makefile.PL -NET-SNMP-IN-SOURCE=true PREFIX=${RPM_BUILD_ROOT}/%{_prefix} INSTALLDIRS=vendor -NET-SNMP-CONFIG="sh ../../net-snmp-config"
perl -pi -e 's/^LD_RUN_PATH.*//;s/LD_RUN_PATH=\".*\" //;' default_store/Makefile OID/Makefile agent/Makefile agent/default_store/Makefile ASN/Makefile SNMP/Makefile
make
popd

%install
rm -rf %{buildroot}
%makeinstall  ucdincludedir=%{buildroot}/usr/include/ucd-snmp


# Determine which arch opensslconf.h is going to try to #include.
basearch=%{_arch}
%ifarch %{ix86}
basearch=i386
%endif

mv %{buildroot}/%{_bindir}/net-snmp-config %{buildroot}/%{_bindir}/net-snmp-config-${basearch}
install -m 755 %SOURCE7 %{buildroot}/%{_bindir}/net-snmp-config

%ifarch %{multilib_arches}
# Do an net-snmp-config.h switcheroo to avoid file conflicts on systems where you
# can have both a 32- and 64-bit version of the library, and they each need
# their own correct-but-different versions of net-snmp-config.h to be usable.
mv %{buildroot}/%{_includedir}/net-snmp-config.h %{buildroot}/%{_includedir}/net-snmp-config-${basearch}.h
install -m644 %SOURCE6 %{buildroot}/%{_includedir}/net-snmp-config.h
%endif

# remove .la files
rm  %{buildroot}%{_libdir}/*.la

install -d %{buildroot}%{_sysconfdir}/snmp
install -m 644 %SOURCE1 %{buildroot}%{_sysconfdir}/snmp/snmpd.conf

install -d %{buildroot}%{_initscriptdir}
install -m 755 %SOURCE2 %{buildroot}%{_initscriptdir}/snmpd
install -m 755 %SOURCE3 %{buildroot}%{_initscriptdir}/snmptrapd

install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/logrotate.d/snmpd

install -d %{buildroot}%{_bindir}
install -m 755 %SOURCE5 %{buildroot}%{_bindir}/ucd5820stat

rm -f %{buildroot}%{_bindir}/snmpinform
rm -f %{buildroot}%{_bindir}/tkmib
rm -f %{buildroot}%{_bindir}/snmpcheck
rm -f %{buildroot}%{_mandir}/man1/snmpconf.1*
ln -s snmptrap %{buildroot}/usr/bin/snmpinform

# copy missing mib2c.conf files
cp local/mib2c.*.conf %{buildroot}%{_datadir}/snmp

pushd perl
make install_vendor
eval $(perl '-V:installvendorarch')

# remove special files
find $RPM_BUILD_ROOT -name perllocal.pod \
	-o -name .packlist \
	-o -name "*.bs" \
	-o -name Makefile.subs.pl \
	| xargs -ri rm -f {}

# build files list
find $RPM_BUILD_ROOT/$installvendorarch -type f -print \
	-o -type d -a -printf '%%%%dir %%p\n' \
	| sed "s@$RPM_BUILD_ROOT@@g" \
	| grep -v "$installvendorarch\$" \
	| grep -v '/auto$' \
	> ../perl.lst
popd
find $RPM_BUILD_ROOT -name '*.so' | xargs chmod 0755

# remove docs that do not apply to Linux
for file in "README.aix README.hpux11 README.osX README.Panasonic_AM3X.txt README.solaris README.win32"
do
	rm $file
done
# trim down massive ChangeLog
dd bs=1024 count=250 if=ChangeLog of=ChangeLog.trimmed


%post
/sbin/chkconfig --add snmpd 
/sbin/chkconfig --add snmptrapd

%preun
if [ $1 = 0 ]; then
    service snmpd stop >/dev/null 2>&1
    /sbin/chkconfig --del snmpd
    service snmptrapd stop >/dev/null 2>&1
    /sbin/chkconfig --del snmptrapd
# remove stale autogenerated file
    rm -f %{_datadir}/snmp/mibs/.index
fi

%postun
if [ "$1" -ge "1" ]; then
    service snmpd condrestart >/dev/null 2>&1 || :
    service snmptrapd condrestart >/dev/null 2>&1 || :
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc	AGENT.txt COPYING ChangeLog.trimmed EXAMPLE.conf FAQ NEWS PORTING README* TODO
%doc	local/passtest local/README.mib2c local/ipf-mod.pl
%dir	%{_sysconfdir}/snmp
%config(noreplace,missingok) %{_sysconfdir}/snmp/snmpd.conf
%config(noreplace) %{_initscriptdir}/snmpd
%config(noreplace) %{_initscriptdir}/snmptrapd
%config(noreplace) %{_sysconfdir}/logrotate.d/snmpd
%{_datadir}/snmp
%{_bindir}/ucd5820stat
%{_sbindir}/*
%attr(0644,root,root)	%{_mandir}/man[58]/*

%files utils
%defattr(-,root,root,-)

%{_bindir}/fixproc
%{_bindir}/ipf-mod.pl
%{_bindir}/encode_keychange
%{_bindir}/snmp*
%{_bindir}/traptoemail
%{_bindir}/mib2c-update
%attr(0644,root,root)	%{_mandir}/man1/snmp*.1*
%attr(0644,root,root)	%{_mandir}/man1/mib2c-update*.1*
%attr(0644,root,root)	%{_mandir}/man1/traptoemail*.1*
%attr(0644,root,root)	%{_mandir}/man1/encode_keychange*.1*
%attr(0644,root,root)	%{_mandir}/man1/fixproc*.1*


%files devel
%defattr(0644,root,root,0755)
%{_libdir}/lib*.so
%{_libdir}/*.a
/usr/include/*
%attr(0644,root,root)	%{_mandir}/man3/*.3.*
%attr(0755,root,root)	%{_bindir}/net-snmp-config*
%attr(0644,root,root)	%{_mandir}/man1/net-snmp-config*.1.*

%files perl -f perl.lst
%defattr(-,root,root)
%{_bindir}/mib2c
%attr(0644,root,root)	%{_mandir}/man1/mib2c.1*
%attr(0644,root,root)	%{_mandir}/man1/tkmib.1*
%attr(0644,root,root)   %{_mandir}/man3/*.3pm.*

%files libs
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%changelog
* Thu Nov  6 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.4.1.1-3m)
- [SECURITY] CVE-2008-4309 CVE-2008-2292
-- import Patch19,22 from Fedora 9 updates
- merge following changes
-- * Tue Jul 22 2008 Jan Safranek <jsafranek@redhat.com> 5.4.1-19
-- - fix perl SNMP::Session::set (#452131)
-- - support interface names longer than 8 characters (#468045)

* Sat Oct 18 2008 YAMAZAKI Makoto <zaki@zakky.org>
- (5.4.1.1-2m)
- added BuildPreReq perl-ExtUtils-Embed

* Wed Jun 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.4.1.1-1m)
- [SECURITY] CVE-2008-0960
- update to 5.4.1.1
 
* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.4.1-5m)
- rebuild against openssl-0.9.8h-1m

* Wed May 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.4.1-4m)
- rebuild against lm_sensors-3.0.2
- modify %%configure section
- import sensors3.patch and xen-crash.patch from Fedora
- add alpha support to net-snmp-config.h

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.4.1-3m)
- rebuild against gcc43

* Sat Feb  2 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.4.1-2m)
- rebuild against perl-5.10.0-1m

* Fri Nov  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.4.1-1m)
- [SECURITY] CVE-2007-5846
- update to 5.4.1, sync with Fedora devel

* Sat Jun 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.4-2m)
- back to Momonga net-snmp.momonga.conf

* Sat Jun 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.4-1m)
- update to 5.4 (sync Fedora)

* Mon Nov  6 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.3.1.0-4m)
- rebuild against lm_sensor

* Thu Aug 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.3.1.0-3m)
- revise perl.lst

* Tue Aug 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (5.3.1.0-2m)
- modify install dir

* Wed Aug  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (5.3.1.0-1m)
- import from fc-devel

* Wed Jun  7 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.2.1.2-6m)
- fix files list (%%{_includedir})

* Tue May 23 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (5.2.1.2-5m)
- rebuild against rpm-4.4.2

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (5.2.1.2-4m)
- rebuild against openssl-0.9.8a

* Tue Nov 1 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (5.2.1.2-3m)
- do not remove /etc/snmp/snmpd.conf when package is uninstalled.
- install required /var/net-snmp dir

* Mon Sep 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (5.2.1.2-2m)
- revise a logrotate script

* Mon Jul 18 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (5.2.1.2-1m)
- up to 5.2.1.2
- sync with FC cvs
- [SECURITY] CAN-2005-1740 CAN-2005-2177

* Sat Mar 12 2005 Toru Hoshina <t@momonga-linux.org>
- (5.1.2-1m)
- ver up. sync with FC3(5.1.2-11).

* Sat Aug  7 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (5.0.9-6m)
- rebuild against rpm-4.3

* Thu Jun  3 2004 Kazuhiko <kazuhiko@fdiary.net>
- (5.0.9-5m)
- rebuild against rpm-4.2

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (5.0.9-4m)
- revised spec for enabling rpm 4.2.

* Tue Oct 7 2003 Ysuo Ohgaki <yohgaki@momonga-linux.org>
- (5.0.9-3m)
- fix include file installation path

* Sat Oct 04 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.0.9-2m)
- add BuildPrereq: bzip2-devel for link -lbz2 snmpd

* Fri Sep 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (5.0.9-1m)
- security fix
- change licence (BSDish -> BSD)

* Fri May  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (5.0.8-2m)
- fix permission of '/usr/bin/net-snmp-config'

* Fri May  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (5.0.8-1m)
- major bugfixes
- move '/usr/bin/net-snmp-config' to 'net-snmp-devel' package

* Mon Mar 10 2003 Shingo Akagaki <droa@kitty.dnsalias.org>
- (5.0.7-4m)
- yarisugi...

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (5.0.7-3m)
  rebuild against openssl 0.9.7a

* Sun Mar 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.0.7-2m)
- add URL tag

* Wed Jan 22 2003 Tadataka Yoshikawa <yosikawa@momonga-linux.org>
- (5.0.7-1m)
- version 5.0.7.
- replace patch12 for version 5.0.7.
- remove patch14 because it already applied.

* Wed Dec 25 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (5.0.6-1m)
- upgrade and import patch from rawhide

* Wed Aug 21 2002 Kikutani Makoto <poo@momonga-linux.org>
- (5.0.4-5m)
- revive net-snmp-5.0.1-initializer.patch

* Wed Aug 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (5.0.4-4m)
- apply net-snmp-5.0.3-compatible.patch for compatibility

* Fri Aug 16 2002 Kazuhiko <kazuhiko@fdiary.net>
- (5.0.3-3m)
- 'Provides: ucd-snmp-*' in sub packages
- never define '__libtoolize' as '/bin/true'

* Fri Aug 16 2002 Junichiro Kita <kita@momonga-linux.org>
- (5.0.3-2m)
- /etc/rc.d/init.d -> /etc/init.d (_initscriptdir macro)

* Thu Aug 15 2002 Kikutani Makoto <poo@momonga-linux.org>
- (5.0.3-1m)
- 1st Momonga version
- Provides: ucd-snmp

* Thu Jun 27 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.1-5
- Added --enable-ucd-snmp-compatibility for compatibility with older version
  and fixed installation thereof.
- Got rid of the perl(Tk) dependancy by removing snmpcheck.
- Include /usr/include/ucd-snmp in the filelist.
- Fixed a problem with the ucd-snmp/version.h file.

* Wed Jun 26 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.1-1
- Updated to 5.0.1
- Dropped --enable-reentrant as it's currently broken

* Tue Apr 23 2002 Phil Knirsch <pknirsch@redhat.com> 5.0-1
- Switch to latest stable version, 5.0
- Renamed the packate to net-snmp and obsoleted ucd-snmp.

* Wed Apr 17 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4-3
- Fixed problem with reload in initscript (#63526).

* Mon Apr 15 2002 Tim Powers <timp@redhat.com> 4.2.4-2
- rebuilt in new environment

* Mon Apr 15 2002 Tim Powers <timp@redhat.com> 4.2.4-1
- update to 4.2.4 final

* Sat Apr 13 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-5
- Added some missing files to the %files section.

* Tue Apr 09 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-4
- Hardcoded the ETC_MNTTAB to point to "/etc/mtab".

* Mon Apr 08 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-3
- Removed the check for dbFOO as we don't want to add another requirement.

* Fri Apr 05 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-2
- Added missing BuildPrereq to openssl-devel (#61525)

* Thu Apr 04 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-1
- Added ucd5820stat to the files section.
- Updated to latest version (4.2.4.pre3)

* Mon Mar 18 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre2-1
- Updated to latest version (4.2.4.pre2)

* Tue Jan 29 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.3-4
- Added the snmptrapd init script as per request (#49205)
- Fixed the again broken rpm query stuff (#57444)
- Removed all old and none-used db related stuff (libs and header checks/files)

* Mon Jan 07 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.3-2
- Included the Axioma Security Research fix for snmpnetstat from bugtraq.

* Mon Dec 03 2001 Phil Knirsch <phil@redhat.de> 4.2.3-1
- Update to 4.2.3 final.
- Fixed libtool/rpath buildroot pollution problem.
- Fixed library naming problem.

* Fri Oct  5 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed a server segfault for snmpset operation (#53640). Thanks to Josh Giles
  and Wes Hardaker for the patch.

* Mon Sep 10 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed problem with RUNTESTS script.

* Tue Sep  4 2001 Preston Brown <pbrown@redhat.com>
- fixed patch related to bug #35016 (Dell)

* Fri Aug 24 2001 Philipp Knirsch <pknirsch@redhat.de> 4.2.1-6
- Fixed snmpd description (#52366)

* Wed Aug 22 2001 Philipp Knirsch <pknirsch@redhat.de>
- Final bcm5820 fix. Last one was broken.
- Fixed bugzilla bug (#51960) where the binaries contained rpath references.

* Wed Aug 15 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed a couple of security issues:
  o /tmp race and setgroups() privilege problem
  o Various buffer overflow and format string issues.
  o One signedness problem in ASN handling.
- Fixed an important RFE to support bcm5820 cards. (#51125)

* Fri Jul 20 2001 Philipp Knirsch <pknirsch@redhat.de>
- Removed tkmib from the package once again as we don't ship the Tk.pm CPAN
  perl module required to run it (#49363)
- Added missing Provides for the .so.0 libraries as rpm doesn't seem to find
  those during the build anymore (it used to) (#46388)

* Thu Jul 19 2001 Philipp Knirsch <pknirsch@redhat.de>
- Enabled IPv6 support (RFE #47764)
- Hopefully final fix of snmpwalk problem (#42153). Thanks to Douglas Warzecha
  for the patch and Matt Domsch for reporting the problem.

* Tue Jun 26 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed smux compilation problems (#41452)
- Fixed wrong paths displayed in manpages (#43053)

* Mon Jun 25 2001 Philipp Knirsch <pknirsch@redhat.de>
- Updated to 4.2.1. Removed 2 obsolete patches (fromcvs and #18153)
- Include /usr/share/snmp/snmpconf in %files

* Wed Jun 13 2001 Than Ngo <than@redhat.com>
- fix to use libwrap in distro
- add buildprereq: tcp_wrappers

* Fri Jun  1 2001 Bill Nottingham <notting@redhat.com>
- add a *new* patch for IP address return sizes

* Fri Apr 20 2001 Bill Nottingham <notting@redhat.com>
- add patch so that only four bytes are returned for IP addresses on ia64 (#32244)

* Wed Apr 11 2001 Bill Nottingham <notting@redhat.com>
- rebuild (missing alpha packages)

* Fri Apr  6 2001 Matt Wilson <msw@redhat.com>
- added ucd-snmp-4.2-null.patch to correcly handle a NULL value (#35016)

* Tue Apr  3 2001 Preston Brown <pbrown@redhat.com>
- clean up deinstallation (#34168)

* Tue Mar 27 2001 Matt Wilson <msw@redhat.com>
- return a usable RETVAL when running "service snmpd status" (#33571)

* Tue Mar 13 2001 Matt Wilson <msw@redhat.com>
- configure with --enable-reentrant and added "smux" and "agentx" to
  --with-mib-modules= argument (#29626)

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Mon Feb 26 2001 Tim Powers <timp@redhat.com>
- fixed initscript, for reload and restart it was start then stop,
  fixed. (#28477)

* Fri Feb  2 2001 Trond Eivind Glomsrod <teg@redhat.com>
- i18nize initscript

* Sat Jan  6 2001 Jeff Johnson <jbj@redhat.com>
- don't depend on /etc/init.d so that package will work with 6.2.
- perl path fiddles no longer needed.
- rely on brp-compress frpm rpm to compress man pages.
- patch from ucd-snmp CVS (Wes Hardaker).
- configure.in needs to check for rpm libraries correctly (#23033).
- add simple logrotate script (#21399).
- add options to create pidfile and log with syslog with addresses (#23476).

* Sat Dec 30 2000 Jeff Johnson <jbj@redhat.com>
- package for Red Hat 7.1.

* Thu Dec 07 2000 Wes Hardaker <hardaker@users.sourceforge.net>
- update for 4.2

* Thu Oct 12 2000 Jeff Johnson <jbj@redhat.com>
- add explicit format for syslog call (#18153).

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Thu Jul 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild per Trond's request.

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix syntax error that crept in with condrestart

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Preston Brown <pbrown@redhat.com>
- move initscript and add condrestart magic

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- fix %%attr on man pages

* Mon Jun 12 2000 Jeff Johnson <jbj@redhat.com>
- tkmib doco had #!/usr/bin/perl55
- include snmpcheck and tkmib again (still needs some CPAN module, however).

* Tue Jun  6 2000 Jeff Johnson <jbj@redhat.com>
- update to 4.1.2.
- FHS packaging.
- patch for rpm 4.0.

* Thu May 18 2000 Trond Eivind Glomsrod <teg@redhat.com>
- add version to buildroot
- rebuilt with new libraries

* Sun Feb 27 2000 Jeff Johnson <jbj@redhat.com>
- default config was broken (from Wes Hardaker) (#9752)

* Sun Feb 13 2000 Jeff Johnson <jbj@redhat.com>
- compressed man pages.

* Fri Feb 11 2000 Wes Hardaker <wjhardaker@ucdavis.edu>
- update to 4.1.1

* Sat Feb  5 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change %postun to %preun

* Thu Feb 3 2000 Elliot Lee <sopwith@redhat.com>
- Don't ship tkmib, since we don't ship the perl modules needed to run it.
(Bug #4881)

* Tue Aug 31 1999 Jeff Johnson <jbj@redhat.com>
- default config permits RO access to system group only (Wed Hardaker).

* Sun Aug 29 1999 Jeff Johnson <jbj@redhat.com>
- implement suggestions from Wes Hardaker.

* Fri Aug 27 1999 Jeff Johnson <jbj@redhat.com>
- stateless access to rpm database.

* Wed Aug 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 4.0.1.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.6.2 (#3219,#3259).
- add missing man pages (#3057).

* Thu Apr  8 1999 Wes Hardaker <wjhardaker@ucdavis.edu>
- fix Source0 location.
- fix the snmpd.conf file to use real community names.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.6.1, fix configuration file stuff.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- restore host resources mib
- simplified config file
- rebuild for 6.0.

* Tue Dec 22 1998 Bill Nottingham <notting@redhat.com>
- remove backup file to fix perl dependencies

* Tue Dec  8 1998 Jeff Johnson <jbj@redhat.com>
- add all relevant rpm scalars to host resources mib.

* Sun Dec  6 1998 Jeff Johnson <jbj@redhat.com>
- enable libwrap (#253)
- enable host module (rpm queries over SNMP!).

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.3.
- don't include snmpcheck until perl-SNMP is packaged.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- ucd-snmpd.init: start daemon w/o -f.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- don't start snmpd unless requested
- start snmpd after pcmcia.

* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- all but config (especially SNMPv2p) ready for prime time

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.

* Tue Dec 30 1997 Otto Hammersmith <otto@redhat.com>
- created the package... possibly replace cmu-snmp with this.
